Extending Qt Creator Manual | NamedWidget

Extending Qt Creator Manual 4.5.2

# NamedWidget Class

(ProjectExplorer::NamedWidget)

- List of all members, including inherited members

## Public Functions

| NamedWidget(QWidget *parent = nullptr)
QString | displayName() const

## Signals

void | displayNameChanged(const QString &)

## Protected Functions

void | setDisplayName(const QString &displayName)

## Member Function Documentation

### NamedWidget::NamedWidget(QWidget *parent = nullptr)

Default constructs an instance of NamedWidget.

### QString NamedWidget::displayName() const

See also setDisplayName().

### `[signal]` void NamedWidget::displayNameChanged(const QString &)

### `[protected]` void NamedWidget::setDisplayName(const QString &displayName)

See also displayName().